#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(nvKmsKapiGetFunctionsTable, "", "");
KSYMTAB_FUNC(nvKmsKapiF16ToF32, "", "");
KSYMTAB_FUNC(nvKmsKapiF32ToF16, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Mul, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Div, "", "");
KSYMTAB_FUNC(nvKmsKapiF32Add, "", "");
KSYMTAB_FUNC(nvKmsKapiF32ToUI32RMinMag, "", "");
KSYMTAB_FUNC(nvKmsKapiUI32ToF32, "", "");

SYMBOL_CRC(nvKmsKapiGetFunctionsTable, 0x96c1aaa0, "");
SYMBOL_CRC(nvKmsKapiF16ToF32, 0x5bf8ab0d, "");
SYMBOL_CRC(nvKmsKapiF32ToF16, 0x5312b4e7, "");
SYMBOL_CRC(nvKmsKapiF32Mul, 0x034b05b8, "");
SYMBOL_CRC(nvKmsKapiF32Div, 0x661c5342, "");
SYMBOL_CRC(nvKmsKapiF32Add, 0xaf4cf778, "");
SYMBOL_CRC(nvKmsKapiF32ToUI32RMinMag, 0x2aaaa051, "");
SYMBOL_CRC(nvKmsKapiUI32ToF32, 0x6137753d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdcb764ad, "memset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xcf2a6966, "up" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x6626afca, "down" },
	{ 0x037a0cba, "kfree" },
	{ 0x53b954a2, "up_read" },
	{ 0xce807a25, "up_write" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf8574643, "single_release" },
	{ 0x92492866, "single_open" },
	{ 0x89a26894, "__seq_puts" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xe3ab81ee, "seq_read" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xef6cd4f4, "freezing_slow_path" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0x668b19a1, "down_read" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x03812901, "proc_remove" },
	{ 0x55e3b87a, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7c3dc64e, "filp_open" },
	{ 0x22c5751b, "filp_close" },
	{ 0x5c50662a, "kernel_read" },
	{ 0x999e8297, "vfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x01000e51, "schedule" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x00148653, "vsnprintf" },
	{ 0x1fec1128, "nvidia_get_rm_ops" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xd5aae08d, "cdev_init" },
	{ 0xb8596159, "cdev_add" },
	{ 0x4e7cad2d, "proc_mkdir_mode" },
	{ 0x922c6eb2, "proc_create_data" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1c8572b0, "kmalloc_caches" },
	{ 0x669df027, "__kmalloc_cache_noprof" },
	{ 0xbd6b16b1, "fget" },
	{ 0x39ac7f46, "fput" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9175c4bb, "backlight_device_register" },
	{ 0x45b61916, "acpi_video_register_backlight" },
	{ 0xcad03ff2, "backlight_device_unregister" },
	{ 0x2f859023, "seq_lseek" },
	{ 0xb1f7ccd3, "param_ops_charp" },
	{ 0x207c4f5e, "param_ops_int" },
	{ 0xe64cd515, "param_ops_bool" },
	{ 0x923e3335, "param_ops_uint" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x45470844, "kthread_stop" },
	{ 0xa631ff41, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8bb81f1f, "vmalloc_to_page" },
	{ 0x0eb6e4b8, "wake_up_process" },
	{ 0x273a1f8d, "module_layout" },
};

MODULE_INFO(depends, "nvidia,video");


MODULE_INFO(srcversion, "18595049003C44A405FB55C");
