#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(nvidia_p2p_init_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_destroy_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_page_table, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_map_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_unmap_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_dma_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_register_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_unregister_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_get_rm_ops, "_gpl", "");
KSYMTAB_FUNC(nvidia_register_error_cb, "", "");
KSYMTAB_FUNC(nvidia_unregister_error_cb, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnregisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAddressSpace, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocFB, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocSys, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetP2PCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetPmaObject, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaRegisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnregisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaAllocPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaPinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryFree, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaFreePages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuUnMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCopyEnginesCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetGpuInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceServiceDeviceInterruptsRM, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnsetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAllocation, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupMemory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFreeDupedHandle, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetFbInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetEccInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceOwnPageFaultIntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceEnableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceHasPendingNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFlushReplayableFaultBuffer, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTogglePrefetchFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDisableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterUvmCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeRegisterUvmOps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNvlinkInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPhysAddrs, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRetainChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceBindChannelResources, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReleaseChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceStopChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetChannelResourcePtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportNonReplayableFault, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsMap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsUnmap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelPushStream, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportFatalError, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslInitContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeinitCslContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateKey, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslEncrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslDecrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslSign, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslQueryMessagePool, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslIncrementIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslLogEncryption, "", "");

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "_gpl");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages_persistent, 0x970adefe, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages_persistent, 0xacdf3914, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0xefd8f723, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0xed7ff19e, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0xedd1a13b, "_gpl");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0x1fde4659, "_gpl");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0x745d86ec, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0x30548b34, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0x642dee6b, "_gpl");
SYMBOL_CRC(nvidia_get_rm_ops, 0x1fec1128, "_gpl");
SYMBOL_CRC(nvidia_register_error_cb, 0xdf8a1f69, "");
SYMBOL_CRC(nvidia_unregister_error_cb, 0x03d46922, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0x56f0cbc6, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0xbd9bc90d, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x972eb9e1, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xb000909e, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xe701a2bb, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x7f03ef2d, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x698f6a77, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0x0aa90502, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0x525172f0, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x90df6793, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x04ca663e, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0xccdb149b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0x0ffab807, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0x55b4744b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceTsgAllocate, 0x71de450f, "");
SYMBOL_CRC(nvUvmInterfaceTsgDestroy, 0xe45112d9, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0xb783c89d, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0x9a138db2, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0xeb1a59ab, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0xdf8b46ca, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x534759f3, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x246cbff7, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd18cb4c2, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0x51f732db, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0xf1d38ffd, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0xa452244c, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x1138c8e8, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xec03a88a, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0x425912fc, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x1ebf5deb, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0x5b7e7949, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0xe49893bd, "");
SYMBOL_CRC(nvUvmInterfaceFlushReplayableFaultBuffer, 0xd9b60cd6, "");
SYMBOL_CRC(nvUvmInterfaceTogglePrefetchFaults, 0xbef3c5d7, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0x064a6a01, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0x7b23607e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x9b02e313, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceGetNvlinkInfo, 0x49f1262d, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xf7419bbb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0x203a44d1, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPhysAddrs, 0xafd0008b, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x9ad73756, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0x710977d6, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0x69eb8138, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelAllocate, 0x89e0959d, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelDestroy, 0x892a63e7, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsMap, 0x6fcca1a3, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsUnmap, 0x36e57696, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelPushStream, 0x942fa6aa, "");
SYMBOL_CRC(nvUvmInterfaceReportFatalError, 0xe02a9acb, "");
SYMBOL_CRC(nvUvmInterfaceCslInitContext, 0xb759d51b, "");
SYMBOL_CRC(nvUvmInterfaceDeinitCslContext, 0x7f450da8, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateKey, 0x85c7cadd, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateIv, 0xd15a3e1c, "");
SYMBOL_CRC(nvUvmInterfaceCslEncrypt, 0x2c22b46f, "");
SYMBOL_CRC(nvUvmInterfaceCslDecrypt, 0x9ee2976a, "");
SYMBOL_CRC(nvUvmInterfaceCslSign, 0xc1f02f56, "");
SYMBOL_CRC(nvUvmInterfaceCslQueryMessagePool, 0x1b556dea, "");
SYMBOL_CRC(nvUvmInterfaceCslIncrementIv, 0x5d784826, "");
SYMBOL_CRC(nvUvmInterfaceCslLogEncryption, 0x7bfbe5eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfebf2b62, "pci_bus_type" },
	{ 0x6626afca, "down" },
	{ 0xcf2a6966, "up" },
	{ 0x5ad94b08, "pci_save_state" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x037a0cba, "kfree" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x10040078, "pci_disable_msi" },
	{ 0x3e12e488, "pci_disable_msix" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xd5aae08d, "cdev_init" },
	{ 0xb8596159, "cdev_add" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x1a75f16b, "__kmem_cache_create_args" },
	{ 0x06bcbb27, "kmem_cache_destroy" },
	{ 0x55e3b87a, "cdev_del" },
	{ 0x75a8a655, "kmem_cache_free" },
	{ 0x1c8572b0, "kmalloc_caches" },
	{ 0x669df027, "__kmalloc_cache_noprof" },
	{ 0xdcb764ad, "memset" },
	{ 0x48360b5d, "kmem_cache_alloc_noprof" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdea23275, "address_space_init_once" },
	{ 0x53b954a2, "up_read" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x98cc9ffe, "pci_stop_and_remove_bus_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x668b19a1, "down_read" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa0e3532b, "dma_set_mask" },
	{ 0xdf50b350, "dma_set_coherent_mask" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb8342c83, "__kmalloc_noprof" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x61b0a7d6, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbd6b16b1, "fget" },
	{ 0x39ac7f46, "fput" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xce807a25, "up_write" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x6eb1d95e, "iterate_fd" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0xbee972eb, "iov_iter_kvec" },
	{ 0x2e3cc543, "seq_read_iter" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x77358855, "iomem_resource" },
	{ 0x84e076be, "device_property_read_u64_array" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x98cf60b3, "strlen" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xb1f7ccd3, "param_ops_charp" },
	{ 0x3d93fcac, "pci_clear_master" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x280cbbf9, "pci_enable_device" },
	{ 0xdd6a578b, "pci_find_capability" },
	{ 0x85bd1608, "__request_region" },
	{ 0xfccef937, "pci_rebar_get_possible_sizes" },
	{ 0x780d1efb, "pci_find_host_bridge" },
	{ 0xb857751b, "pci_read_config_word" },
	{ 0x4dc5699a, "pci_write_config_word" },
	{ 0xe0f76e6c, "pci_release_resource" },
	{ 0x7a0cfadc, "pci_assign_unassigned_bus_resources" },
	{ 0xff626728, "pci_resize_resource" },
	{ 0xf71706af, "pci_read_config_dword" },
	{ 0xa3c8ac52, "pci_set_master" },
	{ 0x9a402717, "vga_set_legacy_decoding" },
	{ 0xb81314b8, "pm_vt_switch_required" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7c3dc64e, "filp_open" },
	{ 0x22c5751b, "filp_close" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x3548d277, "pci_disable_device" },
	{ 0x39a69089, "pci_ats_supported" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0xa70cb117, "pm_vt_switch_unregister" },
	{ 0x7b55fa9c, "pci_read_config_byte" },
	{ 0x0778f9b3, "pci_get_class" },
	{ 0xd698611f, "pci_unregister_driver" },
	{ 0x3d97a299, "__pci_register_driver" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x17b0fc3e, "dma_unmap_sg_attrs" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x30ecbcf2, "dma_map_sg_attrs" },
	{ 0x08360e78, "dma_buf_get" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x54c2861d, "dma_buf_put" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1b11a0ec, "dma_buf_export" },
	{ 0x57f204b7, "dma_buf_fd" },
	{ 0x121f5fa1, "dma_buf_attach" },
	{ 0xd289521c, "dma_buf_map_attachment" },
	{ 0xc29e5e5a, "dma_buf_detach" },
	{ 0x1f7dd307, "dma_buf_unmap_attachment" },
	{ 0xbdca7924, "hrtimer_init" },
	{ 0x10afea97, "hrtimer_start_range_ns" },
	{ 0x6cf5af0d, "hrtimer_cancel" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x115d1221, "is_acpi_device_node" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0x5ee70e61, "sg_alloc_table_from_pages_segment" },
	{ 0x6167381d, "node_states" },
	{ 0x65ff272c, "node_data" },
	{ 0x5561e0d3, "dma_map_page_attrs" },
	{ 0xd592e246, "dma_unmap_page_attrs" },
	{ 0xd68e3b1a, "pcibios_resource_to_bus" },
	{ 0x64bbb221, "__dma_sync_sg_for_device" },
	{ 0x490df9db, "__dma_sync_single_for_device" },
	{ 0x3cb34447, "try_module_get" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa41370f4, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x39df045f, "i2c_add_adapter" },
	{ 0xd48f1631, "i2c_del_adapter" },
	{ 0x47f6c045, "vmf_insert_pfn_prot" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x0eca48d2, "prot_ns_shared" },
	{ 0x4d9aa654, "rsi_present" },
	{ 0x38b77d6b, "remap_pfn_range" },
	{ 0x0ed29fe1, "vm_insert_page" },
	{ 0xaeeff7bd, "unmap_mapping_range" },
	{ 0xf8574643, "single_release" },
	{ 0x92492866, "single_open" },
	{ 0x89a26894, "__seq_puts" },
	{ 0x0f4e5f0f, "seq_printf" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe3ab81ee, "seq_read" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x85df9b6c, "strsep" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa916b694, "strnlen" },
	{ 0x922c6eb2, "proc_create_data" },
	{ 0x4e7cad2d, "proc_mkdir_mode" },
	{ 0x03812901, "proc_remove" },
	{ 0x2f859023, "seq_lseek" },
	{ 0x1e34e621, "dma_alloc_attrs" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x3816165c, "__alloc_pages_noprof" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x618911fc, "numa_node" },
	{ 0x92997ed8, "_printk" },
	{ 0xb4e32191, "dump_stack" },
	{ 0xc4fb76e9, "dma_free_attrs" },
	{ 0xe4e1db81, "vmap" },
	{ 0x94961283, "vunmap" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xc631580a, "console_unlock" },
	{ 0x999e8297, "vfree" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe914e41e, "strcpy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x5f5bc5da, "__vmalloc_noprof" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0x9166fada, "strncpy" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xfcc1edd3, "memory_block_size_bytes" },
	{ 0x08c78cf7, "offline_and_remove_memory" },
	{ 0x01000e51, "schedule" },
	{ 0x00148653, "vsnprintf" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x5e3240a0, "__cpu_online_mask" },
	{ 0xa339e6e5, "on_each_cpu_cond_mask" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe8a02608, "efi" },
	{ 0x62eec1d5, "panic" },
	{ 0x1d687245, "__free_pages" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe002f16d, "__put_devmap_managed_folio_refs" },
	{ 0xb0fa77d9, "__folio_put" },
	{ 0xdf4451e5, "kernel_write" },
	{ 0x5c50662a, "kernel_read" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x0a770832, "register_memory_notifier" },
	{ 0xfcbfec70, "add_memory_driver_managed" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x7918d817, "memory_failure" },
	{ 0x995cffb0, "get_task_pid" },
	{ 0x5689c4ea, "put_pid" },
	{ 0xe5f235af, "pid_vnr" },
	{ 0x47dc7741, "task_active_pid_ns" },
	{ 0xd016cdba, "init_pid_ns" },
	{ 0xaecb1e49, "find_vma_intersection" },
	{ 0xb3684230, "follow_pfnmap_start" },
	{ 0x8a4cffee, "follow_pfnmap_end" },
	{ 0x68495d90, "pin_user_pages" },
	{ 0xdd949570, "unpin_user_page" },
	{ 0x7c2dbcf4, "set_page_dirty_lock" },
	{ 0x951e4e4f, "pci_get_domain_bus_and_slot" },
	{ 0x7c3393ab, "pci_dev_put" },
	{ 0x7ff0544c, "pci_write_config_byte" },
	{ 0x12440bfd, "pci_write_config_dword" },
	{ 0xe726a5ba, "pci_enable_atomic_ops_to_root" },
	{ 0xb9fc0135, "pcie_capability_read_word" },
	{ 0x2740f017, "pcie_reset_flr" },
	{ 0xe8f0d443, "pci_restore_state" },
	{ 0x207c4f5e, "param_ops_int" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0x45470844, "kthread_stop" },
	{ 0xa631ff41, "kthread_create_on_node" },
	{ 0x8bb81f1f, "vmalloc_to_page" },
	{ 0x0eb6e4b8, "wake_up_process" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xece784c2, "rb_first" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x8458f916, "pci_enable_msi" },
	{ 0x23a90d48, "pci_enable_msix_range" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xe6538968, "fd_install" },
	{ 0xb6fde909, "close_fd" },
	{ 0xa0ea20a8, "remove_proc_entry" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x0e8f7113, "class_create" },
	{ 0x9117423f, "device_create" },
	{ 0xbf6aa5d9, "class_destroy" },
	{ 0xfd445401, "device_destroy" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x8665f1d0, "pci_iounmap" },
	{ 0x3195bc98, "pci_release_regions" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x632275fd, "pci_request_regions" },
	{ 0x1edbee71, "pci_iomap" },
	{ 0x349cba85, "strchr" },
	{ 0x2376a8a0, "__dma_sync_single_for_cpu" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x273a1f8d, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "9AB0177B62D090AB1A7E590");
